COMMIT()

NAME
COMMIT - commit the current transaction

SYNOPSIS

COMMIT [ WORK | TRANSACTION ]

DESCRIPTION

COMMIT commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

PARAMETERS

WORK

TRANSACTION
    Optional key words. They have no effect.

NOTES

Use ROLLBACK [rollback(7)] to abort a transaction.

Issuing COMMIT when not inside a transaction does no harm, but it will provoke a warning message.

EXAMPLES

To commit the current transaction and make all changes permanent:

COMMIT;

COMPATIBILITY

The SQL standard only specifies the two forms COMMIT and COMMIT WORK. Otherwise, this command is fully conforming.

SEE ALSO
BEGIN [begin(7)], ROLLBACK [rollback(l)]